addPlugin({
    pluginDependencies: ["CorePlugin"],

    settings: {
        "$$.TimelineSettings": {
            text: qsTr("Timeline"),
            visible: true,

            // IMPORTANT: if you want to declare other settings group as a
            // child of this element, the child must have order > 300,
            //otherwise it will not appear in Tools/Options dialog
            order: 300,

            properties: {
                "$$.ShowCorrelationArrows": {
                    order: 130,
                    type: "bool",
                    category: qsTr("Basic settings"),
                    text: qsTr("Show correlation arrows"),
                    detailsText: qsTr("Show arrows on correlated items on the Timeline"),
                    defaultValue: true
                },
                "$$.ShowLineLabels": {
                    order: 140,
                    type: "bool",
                    visible: false,
                    category: qsTr("Basic settings"),
                    text: qsTr("Show line labels"),
                    detailsText: qsTr("Add a column between the title and chart columns with chart line labels"),
                    defaultValue: false,
                },
            }
        }
    }
})
